[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.WMSize

Handles the LM_SIZE window message for the form.

## Declaration

Source position: forms.pp line 611

`protected procedure TCustomForm.WMSize(`
`var message: TLMSize`
`); message;`

## Arguments

`message` |  | Message examined in the method.

## Description

Re-implements the method from the ancestor class.

Ensures that auto-sizing is disabled for a size message for a top-level form (where Parent is not assigned) or from the LCL interface. This is done by including the value fsDisableAutoSize in the FormState property.

Calls the inherited method to apply the width, height, and window state values in Message.